﻿using System.ComponentModel;

namespace HowToGetNotifiedOnCollectionCommitEdit
{
	public class ProductItemViewModel : INotifyPropertyChanged, IProductItemViewModel
	{
		private string mName;
		private string mValue;

		public string Value
		{
			get
			{
				return mValue;
			}

			set
			{
				if (mValue != value)
				{
					mValue = value;
					PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(Value)));
				}
			}
		}

		public string Name
		{
			get
			{
				return mName;
			}

			set
			{
				if (mName != value)
				{
					mName = value;
					PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(Name)));
				}
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;
	}
}
